Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.table
Class DefaultTableModel

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  com.tonbeller.wcf.table.DefaultTableModel

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable, TableModel

public class DefaultTableModel
extends java.util.ArrayList
implements TableModel

a simple table model. Its implemented as an ArrayList containing TableRow objects

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`DefaultTableModel()`
`DefaultTableModel(java.util.Collection rows, java.lang.String[] columnTitles)`

Method Summary
`void` | `addTableModelChangeListener(TableModelChangeListener listener)`
`void` | `fireModelChanged(boolean identityChanged)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnTitle(int i)`
`java.lang.String[]` | `getColumnTitles()`
`TableRow` | `getRow(int rowIndex)`
`int` | `getRowCount()`
`java.lang.String` | `getTitle()`
`void` | `removeTableModelChangeListener(TableModelChangeListener listener)`
`void` | `setColumnTitle(int i, java.lang.String newColumnTitle)`
`void` | `setColumnTitles(java.lang.String[] newColumnTitles)`
`void` | `setTitle(java.lang.String newTitle)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### DefaultTableModel

    public DefaultTableModel()

### DefaultTableModel

    public DefaultTableModel(java.util.Collection rows,
                             java.lang.String[] columnTitles)

Method Detail

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `TableModel`

### setTitle

    public void setTitle(java.lang.String newTitle)

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TableModel`

### getRow

    public TableRow getRow(int rowIndex)

  Specified by:
    `getRow` in interface `TableModel`

### setColumnTitles

    public void setColumnTitles(java.lang.String[] newColumnTitles)

### getColumnTitles

    public java.lang.String[] getColumnTitles()

### getColumnTitle

    public java.lang.String getColumnTitle(int i)

  Specified by:
    `getColumnTitle` in interface `TableModel`

### setColumnTitle

    public void setColumnTitle(int i,
                               java.lang.String newColumnTitle)

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TableModel`

### addTableModelChangeListener

    public void addTableModelChangeListener(TableModelChangeListener listener)

  Specified by:
    `addTableModelChangeListener` in interface `TableModel`

### removeTableModelChangeListener

    public void removeTableModelChangeListener(TableModelChangeListener listener)

  Specified by:
    `removeTableModelChangeListener` in interface `TableModel`

### fireModelChanged

    public void fireModelChanged(boolean identityChanged)

  Specified by:
    `fireModelChanged` in interface `TableModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD